=== src/modules/rlm_eap/types/rlm_eap_sim/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.1 2006/02/03 11:49:19 nbk Exp $
#

TARGET      = rlm_eap_sim
SRCS        = rlm_eap_sim.c
HEADERS     =
RLM_CFLAGS  = $(INCLTDL) -I../.. -I../../libeap
RLM_LIBS    =  ../../libeap/libeap.la
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)
